MochiKit = {};
MochiKit.loader = function(path) {
  return function(module) {
    try {
      load(path + '/' + module + '.js');
      return true;
    } catch(e){
      return false;
    };
  }
};

MochiKit.loadModules = function(path) {
  var loader = MochiKit.loader(path);
  var modules = [
    "MochiKit",
    "Base",
    "Iter",
    "Logging",
    "DateTime",
    "Format",
    "Async",
    "Signal"
  ];
  for (var i = 0; i < modules.length; i++) {
    loader(modules[i]);
  }
  MochiKit.Base.update(MochiKit.Logging.Logger.prototype, {
    logToConsole: function (msg) {
      print(msg);
    }
  });
  return loader;
};

// _E[hMochiKit̃fBNg
MochiKit.loadModules('/home/user/src/mochikit/MochiKit');
